#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kjournald
Version: 24.08.0
Release:        %mkrel %{rel}
Summary:        Qt browser for journald database
License:        LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/system/kjournald
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(libsystemd)


%description
This project aims to provide an abstraction of the systemd’s journald API in
terms of QAbstractItemModel classes. The main purpose is to ease the
integration of journald into Qt based applications (both QML and QtWidget).
Additional to the library, the project provides a reference implementation of
the API, called kjournaldbrowser. Even though that application provides a
powerful journal database reader, we aim to do a clear split between
reuseable library and application logic.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/kjournald.categories
%{_kf6_bindir}/kjournaldbrowser
%{_kf6_applicationsdir}/org.kde.kjournaldbrowser.desktop
%{_kf6_metainfodir}/org.kde.kjournaldbrowser.appdata.xml
%{_kf6_libdir}/libkjournald.so.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

rm -r %{buildroot}%{_kf6_libdir}/lib%{name}.so

%find_lang %{name} --all-name


%changelog
* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087621
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085117
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073225
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069871
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058629
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045169
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037667
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033794
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025167
- New version 24.01.85

* Sun Nov 19 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007765
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1989996
- New version 23.08.1

* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959740
- initial package kjournald

